/* button dark mode */
.sun {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -3.8%;
  position: relative;
}

.toggle {
  font-size: 2rem; /* 👈 change this to scale */
  border: 0.125em solid currentColor;
  border-radius: 2em;
  cursor: pointer;
  display: block;
  height: 2em;
  position: relative;
  width: 3.75em;
  color: #c1191a;
  z-index: 2;
}

.toggle span {
  background-color: currentColor;
  border-radius: 2em;
  display: block;
  height: 1.5em;
  left: 0.25em;
  overflow: hidden;
  position: absolute;
  top: 0.25em;
  text-indent: -9999px;
  transition: left 0.25s;
  width: 1.5em;
  z-index: 2;
}

.toggle::before,
.toggle::after {
  content: "";
  display: block;
  border-radius: 1em;
  position: absolute;
  z-index: 1;
}

.toggle::after {
  box-shadow: 0.25em 0.25em white;
  height: 1.125em;
  top: 0.125em;
  width: 1.125em;
}

.toggle::before {
  background-color: #ffc409;
  height: 0.625em;
  outline: 0.25em dotted #ffc409;
  outline-offset: 0.125em;
  top: 0.7em;
  right: 0.7em;
  width: 0.625em;
}

.sun input:checked ~ .toggle span {
  left: 2em;
}

body:has(#darkmode-toggle:checked) :where(#nain) {
  visibility: hidden;
}
body:has(#darkmode-toggle:checked)
  :where(.snowflake) {
  display: none;
}
body:has(#darkmode-toggle:checked) :where(.snow) {
  display: none;
}
body:has(#darkmode-toggle:checked) {
  filter: grayscale(1.2) contrast(1) invert(1)
    saturate(1) brightness(0.8);
  background-color: rgba(13, 13, 13, 0.992);
}
body:has(#darkmode-toggle:checked)
  :where(#services) {
  filter: contrast(1) invert(1) brightness(0.939);
}
body:has(#darkmode-toggle:checked)
  :where(.menu-icon:checked ~ .nav) {
  top: 7%;
  width: 110%;
}

body:has(#darkmode-toggle:checked) :where(.logo) {
  filter: invert(1) brightness(1.9);
}

body:has(#darkmode-toggle:checked)
  :where(.lazy) {
  filter: brightness(1.1) invert(1);
}
body:has(#darkmode-toggle:checked)
  :where(#fond_en_tete h1) {
  color: white;
}
body:has(#darkmode-toggle:checked)
  :where(#contact_en_tete p) {
  color: white;
}
body:has(#darkmode-toggle:checked)
  :where(.toggle) {
  filter: invert(1) brightness(1.9);
}

body:has(#darkmode-toggle:checked)
  :where(#contact_menu) {
  filter: invert(1) brightness(1.9);
}

body:has(#darkmode-toggle:checked) :where(nav) {
  filter: invert(1) brightness(1.9);
}
body:has(#darkmode-toggle:checked)
  :where(#toggleMenu) {
  filter: invert(1);
}
body:has(#darkmode-toggle:checked)
  :where(#contact_en_tete) {
  filter: invert(1) brightness(1.8);
}
body:has(#darkmode-toggle:checked)
  :where(#contact_accueil) {
  filter: invert(1) brightness(1.9);
}
body:has(#darkmode-toggle:checked)
  :where(#eco p) {
  color: black;
}
body:has(#darkmode-toggle:checked)
  :where(.intro) {
  color: black;
}
body:has(#darkmode-toggle:checked)
  :where(.intro_valeur) {
  color: black;
}
body:has(#darkmode-toggle:checked)
  :where(#globe_contact) {
  filter: brightness(1) invert(1);
}
body:has(#darkmode-toggle:checked)
  :where(#titre_contact) {
  color: white;
  opacity: 0.8;
}
body:has(#darkmode-toggle:checked)
  :where(#logo_footer) {
  filter: invert(1) brightness(0.5);
}
body:has(#darkmode-toggle:checked)
  :where(#responsable) {
  filter: invert(1) brightness(0.9);
}
body:has(#darkmode-toggle:checked)
  :where(#eco_responsable) {
  opacity: 0.5;
}
body:has(#darkmode-toggle:checked)
  :where(#color_footer) {
  filter: invert(1) brightness(1.8);
}
body:has(#darkmode-toggle:checked)
  :where(#ivisuel) {
  filter: brightness(0.7);
}
body:has(#darkmode-toggle:checked) :where(#tv) {
  filter: brightness(0.7);
}
body:has(#darkmode-toggle:checked)
  :where(#money) {
  filter: brightness(0.7);
}
body:has(#darkmode-toggle:checked)
  :where(#image_ecoute) {
  filter: brightness(0.6);
}
body:has(#darkmode-toggle:checked)
  :where(#image_confiance) {
  filter: brightness(0.7);
}
body:has(#darkmode-toggle:checked)
  :where(#image_crea2) {
  filter: brightness(0.7);
}
body:has(#darkmode-toggle:checked)
  :where(#image_passion) {
  filter: brightness(0.7);
}

/* test anim snow */
.snowflake {
  color: #fff;
  font-size: 1em;
  font-family: Arial;
  text-shadow: 0 0 1px #000;
}

@-webkit-keyframes snowflakes-fall {
  0% {
    top: -10%;
  }
  100% {
    top: 100%;
  }
}
@-webkit-keyframes snowflakes-shake {
  0% {
    -webkit-transform: translateX(0px);
    transform: translateX(0px);
  }
  50% {
    -webkit-transform: translateX(80px);
    transform: translateX(80px);
  }
  100% {
    -webkit-transform: translateX(0px);
    transform: translateX(0px);
  }
}
@keyframes snowflakes-fall {
  0% {
    top: -10%;
  }
  100% {
    top: 100%;
  }
}
@keyframes snowflakes-shake {
  0% {
    transform: translateX(0px);
  }
  50% {
    transform: translateX(80px);
  }
  100% {
    transform: translateX(0px);
  }
}
.snowflake {
  position: fixed;
  top: -10%;
  z-index: 9999;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: default;
  -webkit-animation-name: snowflakes-fall,
    snowflakes-shake;
  -webkit-animation-duration: 10s, 3s;
  -webkit-animation-timing-function: linear,
    ease-in-out;
  -webkit-animation-iteration-count: infinite,
    infinite;
  -webkit-animation-play-state: running, running;
  animation-name: snowflakes-fall,
    snowflakes-shake;
  animation-duration: 10s, 3s;
  animation-timing-function: linear, ease-in-out;
  animation-iteration-count: infinite, infinite;
  animation-play-state: running, running;
}
.snowflake:nth-of-type(0) {
  left: 1%;
  -webkit-animation-delay: 0s, 0s;
  animation-delay: 0s, 0s;
}
.snowflake:nth-of-type(1) {
  left: 10%;
  -webkit-animation-delay: 1s, 1s;
  animation-delay: 1s, 1s;
}
.snowflake:nth-of-type(2) {
  left: 20%;
  -webkit-animation-delay: 6s, 0.5s;
  animation-delay: 6s, 0.5s;
}
.snowflake:nth-of-type(3) {
  left: 30%;
  -webkit-animation-delay: 4s, 2s;
  animation-delay: 4s, 2s;
}
.snowflake:nth-of-type(4) {
  left: 40%;
  -webkit-animation-delay: 2s, 2s;
  animation-delay: 2s, 2s;
}
.snowflake:nth-of-type(5) {
  left: 50%;
  -webkit-animation-delay: 8s, 3s;
  animation-delay: 8s, 3s;
}
.snowflake:nth-of-type(6) {
  left: 60%;
  -webkit-animation-delay: 6s, 2s;
  animation-delay: 6s, 2s;
}
.snowflake:nth-of-type(7) {
  left: 70%;
  -webkit-animation-delay: 2.5s, 1s;
  animation-delay: 2.5s, 1s;
}
.snowflake:nth-of-type(8) {
  left: 80%;
  -webkit-animation-delay: 1s, 0s;
  animation-delay: 1s, 0s;
}
.snowflake:nth-of-type(9) {
  left: 90%;
  -webkit-animation-delay: 3s, 1.5s;
  animation-delay: 3s, 1.5s;
}

/* section en tete */
#puy {
  aspect-ratio: auto 2560/1800;
  width: 100%;
  height: 100%;
  position: relative;
  margin-top: -280px;
  overflow: hidden;
  filter: contrast(120%) brightness(108%);
}

.lazy {
  aspect-ratio: auto;
  width: 100%;
  height: auto;
  object-fit: cover;
  margin-top: -88px;
  position: absolute;
  overflow: hidden;
  background: url("../image/ciel-2xkstPb.webp");
  /*background: url("../image/anim_nuage-SeO4_C6.webp");*/
  animation: clouds_animation 155s linear infinite;
}

@keyframes clouds_animation {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -2122px 0;
  }
}

/* test anim birds */
.hero {
  width: 100%;
  height: auto;
  overflow: hidden;
}

.bird {
  aspect-ratio: auto 88/125;
  background-image: url("../image/bird-cells-new-dpMn81g.svg");
  background-size: auto 100%;
  width: 88px;
  height: 125px;
  will-change: background-position;

  animation-name: fly-cycle;
  animation-timing-function: steps(10);
  animation-iteration-count: infinite;
  overflow: hidden;
  z-index: 999;
}

.bird--one {
  animation-duration: 1s;
  animation-delay: -0.5s;
}

.bird--two {
  animation-duration: 0.9s;
  animation-delay: -0.75s;
}

.bird--three {
  animation-duration: 1.25s;
  animation-delay: -0.25s;
}

.bird--four {
  animation-duration: 1.1s;
  animation-delay: -0.5s;
}

.bird-container {
  position: absolute;
  top: 20%;
  left: -10%;
  transform: scale(0) translateX(-10vw);
  will-change: transform;

  animation-name: fly-right-one;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  overflow: hidden;
  z-index: 999;
}

.bird-container--one {
  animation-duration: 15s;
  animation-delay: 0;
}

.bird-container--two {
  animation-duration: 16s;
  animation-delay: 1s;
}

.bird-container--three {
  animation-duration: 14.6s;
  animation-delay: 9.5s;
}

.bird-container--four {
  animation-duration: 16s;
  animation-delay: 10.25s;
}

@keyframes fly-cycle {
  100% {
    background-position: -900px 0;
  }
}

@keyframes fly-right-one {
  0% {
    transform: scale(0.3) translateX(-10vw);
  }

  10% {
    transform: translateY(2vh) translateX(10vw)
      scale(0.4);
  }

  20% {
    transform: translateY(0vh) translateX(30vw)
      scale(0.5);
  }

  30% {
    transform: translateY(4vh) translateX(50vw)
      scale(0.6);
  }

  40% {
    transform: translateY(2vh) translateX(70vw)
      scale(0.6);
  }

  50% {
    transform: translateY(0vh) translateX(90vw)
      scale(0.6);
  }

  60% {
    transform: translateY(0vh) translateX(110vw)
      scale(0.6);
  }

  100% {
    transform: translateY(0vh) translateX(110vw)
      scale(0.6);
  }
}

@keyframes fly-right-two {
  0% {
    transform: translateY(-2vh) translateX(-10vw)
      scale(0.5);
  }

  10% {
    transform: translateY(0vh) translateX(10vw)
      scale(0.4);
  }

  20% {
    transform: translateY(-4vh) translateX(30vw)
      scale(0.6);
  }

  30% {
    transform: translateY(1vh) translateX(50vw)
      scale(0.45);
  }

  40% {
    transform: translateY(-2.5vh) translateX(70vw)
      scale(0.5);
  }

  50% {
    transform: translateY(0vh) translateX(90vw)
      scale(0.45);
  }

  51% {
    transform: translateY(0vh) translateX(110vw)
      scale(0.45);
  }

  100% {
    transform: translateY(0vh) translateX(110vw)
      scale(0.45);
  }
}
/* fin */

#fond_en_tete {
  z-index: 2;
  position: relative;
  display: flex;
  margin: 60px auto auto auto;
  align-items: center;
  justify-content: center;
}

#fond_en_tete h1 {
  color: #201d2a;
  font-size: 4.2em;
  text-align: center;
}

h1,
h2,
h3,
h4 {
  font-family: "Kodchasan", sans-serif;
}

/*texte accueil en tete*/
#presta_un {
  font-family: "montserrat", sans-serif;
  color: white;
  font-size: 3.5em;
  text-align: center;
  margin-top: 5px;
}

#contact_en_tete {
  background-color: #c1191a;
  max-height: 200px;
  border-radius: 20px;
  z-index: 5;
  position: relative;
  margin: 275px auto 50px auto;
}

/* paragraphe rouge accueil */
#contact_en_tete p {
  font-family: "montserrat", sans-serif;
  font-size: 2em;
  text-align: center;
  color: white;
  margin-top: -35px;
  padding-bottom: 5px;
  line-height: 1.5;
}

/* bouton contact */
#contact_accueil {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  z-index: 3;
  position: relative;
}

.btn-3 {
  cursor: pointer;
  letter-spacing: 2px;
  text-align: center;
  text-transform: uppercase;
  font-family: "Kodchasan", sans-serif;
  font-weight: bold;
  text-decoration: none;
  font-size: 14pt;
  width: 280px;
  height: 50px;
  position: relative;
  border: solid #c1191a 2px;
  border-radius: 50px;
  z-index: 1;
  background: #c1191a;
  color: white;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-3:hover {
  color: white;
  border-color: #f1f1f1;
  box-shadow: 1px 1px 25px 10px
    rgba(233, 233, 240, 0.4);
}

.btn-3:before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    120deg,
    transparent,
    rgba(233, 233, 240, 0.4),
    transparent
  );
  transition: all 650ms;
}

.btn-3:hover:before {
  left: 100%;
}

/* section prestations */
#services {
  margin-top: -30px;
  z-index: 2;
  position: relative;
  background: url("../image/separe_nuages-CIZXGum.svg");
  background-repeat: no-repeat;
  background-size: auto;
}

#prestation {
  text-align: center;
  color: #c1191a;
  font-size: 3.5em;
  padding-top: 350px;
}

/* test card reactive horizontale with css*/
#fond_prestation ul {
  padding-left: 0;
}
#fond_prestation {
  box-sizing: border-box;
  padding-top: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#cards {
  padding-bottom: calc(
    var(--numcards) * var(1em)
  );
  margin-bottom: var(4vw);
}

#cards {
  list-style: none;
  outline: calc(var(0px) * 10) solid #c1191a;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(
    var(--numcards),
    var(40vw)
  );
  gap: 50px;
  max-width: 70%;
}

#card_1 {
  --index: 1;
}
#card_2 {
  --index: 2;
}
#card_3 {
  --index: 3;
}

@supports (animation-timeline: view()) {
  .card {
    --index0: calc(
      var(--index) - 1
    ); /* 0-based index */
    --reverse-index: calc(
      var(--numcards) - var(--index0)
    ); /* reverse index */
    --reverse-index0: calc(
      var(--reverse-index) - 1
    ); /* 0-based reverse index */
  }
}

.card {
  position: sticky;
  top: 0;
  padding-top: calc(var(1) * var(1em));
}

@keyframes scale {
  to {
    transform: scale(
      calc(1.1 - calc(0.1 * var(--reverse-index)))
    );
  }
}

@supports (animation-timeline: view()) {
  #cards {
    --numcards: 3;
    view-timeline-name: --cards-element-scrolls-in-body;
  }
}

.card {
  outline: var(0px) solid #c1191a;
}

.card__content {
  transform-origin: 50% 0%;
  will-change: transform;
}

.card__content {
  box-shadow: 0 0.2em 1em rgba(0, 0, 0, 0.1),
    0 1em 2em rgba(0, 0, 0, 0.1);
  background: #cbcbcb;
  color: rgb(10, 5, 7);
  border-radius: 1em;
  overflow: hidden;
  display: grid;
  grid-template-areas: "text img";
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  align-items: stretch;
  outline: var(0px) solid #c1191a;
}

@supports (animation-timeline: view()) {
  .card__content {
    --start-range: calc(
      var(--index0) / var(--numcards) * 100%
    );
    --end-range: calc(
      (var(--index)) / var(--numcards) * 100%
    );

    animation: linear scale forwards;
    animation-timeline: --cards-element-scrolls-in-body;
    animation-range: exit-crossing
      var(--start-range) exit-crossing
      var(--end-range);
  }
}

.card__content > div {
  grid-area: text;
  width: 80%;
  place-self: center;
  text-align: left;
  gap: 1em;
  /* place-items: start; */
}
.card__content figure {
  /* grid-area: img;
  overflow: hidden; */
  display: flex;
  justify-content: center;
}

.card__content h3 {
  color: #c1191a;
  font-size: 2.5em;
}

.content {
  font-family: "montserrat", sans-serif;
  font-size: 1.3em;
}

.p_prestation {
  font-family: "montserrat", sans-serif;
  line-height: 1.5;
  text-align: left;
  font-size: 1.2em;
}

.card:hover a {
  background-color: #cbcbcb;
  color: #c1191a;
}

/* vitrine card */
#gouv {
  color: #c1191a;
}

#gouv:hover {
  color: white;
  background-color: #c1191a;
}

#vitrine {
  aspect-ratio: auto 130/145.8;
  width: 130px;
  height: auto;
}

#ecommerce {
  aspect-ratio: auto 140/126;
  width: 140px;
  height: auto;
}

#ivisuel {
  aspect-ratio: auto 180/131;
  width: 180px;
  height: auto;
}

.click {
  display: block;
  background-color: #c1191a;
  text-decoration: none;
  color: snow;
  border-radius: 25px;
  padding: 10px 10px;
  width: 15%;
  text-align: center;
  margin: 10px auto 20px auto;
}

/*eco-responsable*/
#eco_titre {
  color: #c1191a;
  font-size: 2.8em;
  margin-top: 170px;
  text-align: center;
}

#eco_responsable {
  aspect-ratio: auto 1280/853;
  width: 420px;
  height: auto;
}

#eco {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin: -115px auto 200px auto;
}

#eco p {
  font-family: "Kodchasan", sans-serif;
  font-size: 1.2em;
  background-color: #cbcbcb;
  text-align: center;
  max-width: 58%;
  line-height: 1.9;
  padding: 100px;
  box-shadow: 5px 5px 5px
    rgba(110, 110, 110, 0.301);
  border-radius: 25px;
}

/* les chiffres digital */
.chiffre_digital h4 {
  font-family: "montserrat";
  font-weight: bold;
  font-size: 1.2em;
}

.titre_chiffre {
  color: #c1191a;
  text-align: center;
  font-size: 2.8em;
  margin-bottom: 150px;
}

.titre_commerce {
  font-family: "Kodchasan", sans-serif;
  color: black;
  text-align: left;
  font-size: 2em;
}

#digital {
  background-color: #cbcbcb;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.chiffre_digital p {
  font-family: "Kodchasan", sans-serif;
  font-size: 1.05em;
  text-align: left;
}

.chiffre_digital {
  margin: 20px auto;
  padding: 0px 20px;
}

.chiffre_digital a {
  color: black;
}

#tv {
  aspect-ratio: auto 550/223.31;
  max-width: 400px;
  height: auto;
  opacity: 0.9;
}

.chiffre_digital img {
  padding: 0px 75px;
}

#money {
  aspect-ratio: auto 869/553;
  max-width: 300px;
  height: auto;
}

/* section valeur */
#valeur {
  display: flex;
  flex-direction: column;
}

.intro_valeur {
  font-family: "montserrat";
  font-weight: bold;
  font-size: 1.1em;
  color: white;
}

.intro_valeur footer {
  margin-top: 20px;
}

#valeur h3 {
  font-family: "Kodchasan", sans-serif;
  font-size: 2.8em;
  color: #c1191a;
  text-align: center;
  margin-top: 170px;
}

#valeur_cards h4 {
  font-family: "Kodchasan", sans-serif;
  font-size: 1.8em;
}

/* cards */
#valeur_cards {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: space-around;
  margin: 40px auto 200px auto;
  gap: 40px;
  max-width: 1600px;
}

.flip-card {
  background-color: transparent;
  width: 350px;
  height: 470px;
  border: 1px solid #cbcbcb;
  perspective: 1000px; /* Remove this if you don't want the 3D effect */
}

/* This container is needed to position the front and back side */
.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

/* Position the front and back side */
.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
  background-color: #cbcbcb;
  color: black;
}

/* Style the back side */
.flip-card-back {
  background-color: #c1191a;
  color: white;
  transform: rotateY(180deg);
}

#ecoute_front {
  aspect-ratio: auto 200/206.78;
  width: 100px;
  height: auto;
}

#image_ecoute {
  aspect-ratio: auto 100/100;
  width: 200px;
  height: auto;
  opacity: 0.9;
  padding-top: 20px;
}

#confiance_front {
  aspect-ratio: auto 100/100;
  width: 100px;
  height: auto;
}

#image_confiance {
  aspect-ratio: auto 200/202.86;
  width: 200px;
  height: auto;
  padding-top: 20px;
}

#image_creation {
  aspect-ratio: auto 90/98.56;
  width: 90px;
  height: auto;
}

#image_crea2 {
  aspect-ratio: auto 230/250.78;
  width: 230px;
  height: auto;
  padding-top: 20px;
}

#front_passion {
  aspect-ratio: auto 100/100;
  width: 100px;
  height: auto;
}

#image_passion {
  aspect-ratio: auto 838/838;
  width: 230px;
  height: auto;
  padding-top: 20px;
}

#ecoute {
  display: grid;
  grid-template-columns: 1fr 3fr;
  background-color: rgb(250, 249, 247);
  margin-top: 20px;
  max-width: 350px;
}

#valeur_cards p {
  font-family: "montserrat";
  font-size: 1em;
  margin-top: 40px;
}

.back_p {
  padding: 20px;
}

#valeur blockquote p {
  text-align: center;
  margin: -10px auto 20px auto;
  max-width: 515px;
}


#valeur footer {
  text-align: center;
  margin-top: -10px;
}

#confiance {
  display: grid;
  grid-template-columns: 3fr 1fr;
  background-color: rgb(250, 249, 247);
  margin-top: 20px;
  max-width: 350px;
}

#creation {
  display: grid;
  grid-template-columns: 1fr 3fr;
  background-color: rgb(250, 249, 247);
  margin-top: 20px;
  max-width: 350px;
}

#passion {
  display: grid;
  grid-template-columns: 3fr 1fr;
  background-color: rgb(250, 249, 247);
  margin-top: 20px;
  max-width: 350px;
}

/* section developpement test scroll animation with js stimulus*/
#link_dev {
  font-family: "Kodchasan", sans-serif;
  font-size: 2rem;
  color: #c1191a;
  text-align: center;
}
#sectionPin p {
  width: 80%;
  margin: 20px auto;
  color: black;
}
#button_devpage {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 40px;
}
#button_devpage a {
  box-sizing: initial;
  width: 220px;
  height: 40px;
  font-size: 12pt;
}
.p_scrolldev {
  font-family: "montserrat", sans-serif;
  font-size: 1.5em;
  font-weight: bold;
  color: #c1191a;
  display: inline;
}

.p_scrolldev a {
  color: #c1191a;
  box-sizing: initial;
}
@keyframes move {
  to {
    /* Move horizontally so that right edge is aligned against the viewport */
    transform: translateX(calc(-100% + 100vw));
  }
}
@supports (animation-timeline: view()) {
  #sectionPin {
    height: 500vh;
    overflow: visible;
    view-timeline-name: --section-pin-tl;
    view-timeline-axis: block;
  }
}

#sectionPin {
  height: 100vh;
  display: flex;
  background: #cbcbcb;
  overflow: scroll;
}

@supports (animation-timeline: view()) {
  .pin-wrap-sticky {
    /* Stick to Top */
    height: 100vh;
    width: 100vw;
    position: sticky;
    top: 0;
    width: 100vw;
    overflow-x: hidden;
  }
}
@supports (animation-timeline: view()) {
  .pin-wrap {
    height: 100vh;
    width: 200vmax;
    /* Hook animation */
    will-change: transform;
    animation: linear move forwards;
    /* Link animation to view-timeline */
    animation-timeline: --section-pin-tl;
    animation-range: contain 0% contain 100%;
  }
}
.pin-wrap {
  height: 100vh;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 50px 2vw;
  width: auto;
}
#sectionPin * {
  box-sizing: border-box;
}
.pin-wrap > * {
  min-width: 60vmax;
  padding: 0 2vmax;
}

#sectionPin img {
  height: 80vh;
  width: auto;
  max-width: 100%;
  object-fit: cover;
}

/* breakpoint accueil desktop */
/* hero */
/* grand ecran  */
@media (min-width: 2200px) and (max-width: 2600px) {
  #puy {
    margin-top: -285px;
    width: 100%;
    position: relative;
    height: auto;
    overflow: hidden;
  }
  
  .sun {
   margin-top: -3.1%;
  }

  #fond_en_tete {
   margin: 190px auto auto auto;
  }

  #fond_en_tete h1 {
    font-size: 4.5em;
    text-align: center;
  }

  #presta_un {
    font-size: 3.6em;
    margin-top: 20px;
  }

  #contact_en_tete {
    margin: 485px auto 50px auto;
  }

  #contact_en_tete p {
    font-size: 2.6em;
  }
}

@media all and (max-width: 1700px) {
  #puy {
    margin-top: -220px;
  }
  
  .sun {
    margin-top: -4.1%;
  }
  
  #contact_en_tete {
    margin: 260px auto 50px auto;
  }
}

@media all and (max-width: 1600px) {
  .sun {
    margin-top: -4.4%;
  }
  
  #fond_en_tete h1 {
    font-size: 3.6em;
  }
  
  #fond_en_tete {
    margin: 40px auto auto auto;
  }

  #contact_en_tete {
    margin: 250px auto 50px auto;
  }

  #services {
    margin-top: -100px;
  }
}

@media all and (max-width: 1540px) {
  #fond_en_tete {
    margin: 30px auto auto auto;
  }
  
  #presta_un {
    font-size: 3.2em;
  }
  
  .sun {
    margin-top: -4.6%;
  }

  #contact_en_tete {
    margin: 230px auto 50px auto;
  }
}

@media all and (max-width: 1445px) {
  #puy {
    margin-top: -155px;
  }

  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 6%;
  }
  
  .sun {
    margin-top: -5%;
  }
  
  #fond_en_tete h1 {
    font-size: 3.3em;
  }

  #presta_un {
    font-size: 2.8em;
    margin-top: 15px;
  }
  
  #contact_en_tete {
    margin: 250px auto 50px auto;
  }

  #contact_en_tete p {
    font-size: 1.8em;
  }
}

@media all and (max-width: 1380px) {
  .sun {
    margin-top: -5.2%;
  }
  
  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 5%;
  }
  
  #puy {
    margin-top: -175px;
  }
  
  #fond_en_tete h1 {
    font-size: 2.8em;
  }

  #presta_un {
    font-size: 2.7em;
  }

  #contact_en_tete p {
    font-size: 1.7em;
  }

  #contact_en_tete {
    margin: 225px auto 50px auto;
  }

  .p_scrolldev {
    font-size: 1.3em;
  }
}

@media all and (max-width: 1280px) {
  #puy {
    margin-top: -145px;
  }
  
  .sun {
    margin-top: -5.5%;
  }

  #fond_en_tete {
    margin: 40px auto auto auto;
  }
  
  #presta_un {
    font-size: 2.6em;
  }

  #contact_en_tete p {
    font-size: 1.6em;
  }

  #contact_en_tete {
    margin: 215px auto 50px auto;
  }

  #eco p {
    font-size: 1.1em;
  }
}

@media all and (max-width: 1195px) {
  #puy {
    margin-top: -100px;
  }
  
  .sun {
    margin-top: -5.9%;
  }

  #fond_en_tete h1 {
    font-size: 2.6em;
  }

  #presta_un {
    font-size: 2.4em;
  }

  #contact_en_tete p {
    font-size: 1.4em;
    margin-top: -30px;
  }

  #contact_en_tete {
    margin: 205px auto 50px auto;
  }
}

@media (min-width: 1100px) and (max-width: 1120px) {
  .lazy {
    margin-top: -92px;
  }

  #puy {
    margin-top: -65px;
  }
}

@media all and (max-width: 1080px) {
  #puy {
    margin-top: -70px;
  }
  
  #fond_en_tete h1 {
    font-size: 2.2em;
  }
  
  #fond_en_tete {
    margin: 55px auto auto auto;
  }

  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 4%;
  }

  #presta_un {
    font-size: 2em;
  }
  
  #contact_en_tete {
    margin: 200px auto 50px auto;
  }

  #contact_en_tete p {
    font-size: 1.3em;
    margin-top: -25px;
  }
  .card__content h1 {
    font-size: 2em;
  }

  .content {
    font-size: 1.1em;
  }

  .p_prestation {
    font-size: 1em;
  }

  #eco p {
    padding: 80px;
  }

  #eco_titre {
    font-size: 2.6em;
  }

  .titre_chiffre {
    font-size: 2.6em;
  }

  #tv {
    width: 300px;
  }

  #valeur h3 {
    font-size: 2.6em;
  }

  #link_dev {
    font-size: 1.8em;
  }
  
  #button_devpage a {
    width: 190px;
    font-size: 10pt;
  }

  .p_scrolldev {
    font-size: 1.1em;
  }
}

@media all and (max-width: 1030px) {
  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 5%;
  }
  
  .toggle {
    font-size: 1.5rem;
  }

  #contact_en_tete {
    margin: 160px auto 50px auto;
  }
}

@media all and (max-width: 992px) {
  #puy {
    margin-top: -20px;
  }

  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 5.5%;
  }

  #services {
    background: none;
  }

  #contact_en_tete {
    margin: 300px auto 50px auto;
    padding: 5px;
  }

  .btn-3 {
    font-size: 12pt;
  }

  .content {
    font-size: 1.02em;
  }

  .cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 400px;
  }

  #eco_titre {
    font-size: 2.2em;
  }

  #eco p {
    font-size: 1.02em;
  }

  /* section chiffre digital */
  .chiffre_digital img {
    min-width: 220px;
  }

  #digital {
    display: flex;
    flex-direction: column;
    padding: 20px;
    align-items: center;
  }

  /* section valeurs  */
  #valeur_cards {
    flex-flow: row wrap;
  }

  #valeur_cards > * {
    flex: 1 1 350px;
  }

  #valeur h3 {
    font-size: 2.2em;
  }
  
  #link_dev {
    font-size: 2.2em;
  }

  .p_scrolldev {
    font-size: 1em;
  }
}

@media all and (max-width: 915px) {
  #fond_en_tete h1 {
    font-size: 2.1em;
  }

  #eco_titre {
    font-size: 2em;
  }

  .titre_chiffre {
    font-size: 2em;
  }

  #valeur h3 {
    font-size: 2em;
  }

  #link_dev {
    font-size: 2em;
  }
}

@media all and (max-width: 896px) {
  #puy {
    margin-top: 0px;
  }
  
  .sun {
    margin-top: -7%;
  }

  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 6%;
  }

  #fond_en_tete {
    margin: 65px auto auto auto;
  }

  #fond_en_tete h1 {
    font-size: 2em;
  }

  #presta_un {
    font-size: 1.8em;
  }

  #contact_en_tete p {
    font-size: 1.2em;
  }

  #prestation {
    font-size: 3em;
  }
}

@media all and (max-width: 815px) {
  #puy {
    margin-top: 20px;
  }
  
  .sun {
    margin-top: -7.3%;
  }
}

@media all and (max-width: 780px) {
  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 5%;
  }

  #presta_un {
    font-size: 1.6em;
  }

  #contact_en_tete {
    margin: 290px auto 50px auto;
  }
  
  #contact_en_tete p {
    font-size: 1.1em;
    margin-top: -10px;
  }

  #services {
    margin-top: -75px;
  }

  #prestation {
    font-size: 2.6em;
    padding-top: 240px;
  }

  .btn-3 {
    letter-spacing: 1px;
    width: 140px;
    height: 32px;
    font-size: 10pt;
    padding: 5px 30px;
  }

  .card__content h3 {
    font-size: 1.8em;
  }

  #link_dev {
    font-size: 1.8em;
  }
  
  #button_devpage a {
    width: 135px;
    height: 35px;
  }
}

@media all and (max-width: 740px) {
  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 2%;
  }
  
  #contact_en_tete {
    margin: 270px auto 50px auto;
    padding: 10px;
  }
  
  #fond_en_tete {
    margin: 50px auto auto auto;
  }
}

@media all and (max-width: 680px) {
  .toggle {
    font-size: 1.4rem;
  }
  
  #puy {
    margin-top: 40px;
  }

  #fond_en_tete h1 {
    font-size: 1.8em;
  }

  #presta_un {
    font-size: 1.4em;
  }
  
  #contact_en_tete {
    margin: 240px auto 50px auto;
  }

  #contact_en_tete p {
    font-size: 1em;
    margin-top: -15px;
  }

  .cards {
    width: 380px;
  }

  #eco p {
    padding: 60px;
  }
}

@media all and (max-width: 576px) {
  #puy {
    margin-top: 100px;
  }

  .lazy {
    background-size: cover;
  }
  
  body:has(#darkmode-toggle:checked)
    :where(.menu-icon:checked ~ .nav) {
    top: 3.5%;
  }
  
  .sun {
    margin-top: -8.8%;
  }

  #contact_en_tete {
    margin: 205px auto 30px auto;
  }

  #contact_en_tete p {
    font-size: 0.9em;
    margin-top: -10px;
  }

  #presta_un {
    margin-top: 10px;
  }
  
  #prestation {
    font-size: 2.2em;
  }

  .cards {
    width: 350px;
  }
  
  .click {
    width: 20%;
    padding: 5px 5px;
  }

  #eco_titre {
    font-size: 1.9em;
  }

  /* chiffre digital */
  .titre_chiffre {
    font-size: 1.9em;
    margin-top: 100px;
  }

  .titre_commerce {
    font-size: 1.6em;
  }

  #tv {
    width: 300px;
    padding: 0px 20px;
  }

  #money {
    width: 250px;
    padding: 0px 50px;
  }

  /* les valeurs  */
  #valeur h3 {
    font-size: 1.9em;
  }
  
  #link_dev {
    font-size: 1.4em;
  }
  
  #button_devpage a {
    width: 107px;
    height: 25px;
    font-size: 8pt;
  }
}

@media all and (max-width: 481px) {
  #puy {
    aspect-ratio: auto 1571/1801;
    width: 100%;
    height: auto;
    margin-top: 150px;
  }

  .toggle {
    font-size: 1.2rem;
  }
  
  .sun {
    justify-content: space-evenly;
    margin-right: 7px;
  }
  
  #fond_en_tete {
    margin: 86px auto auto auto;
    padding: 10px;
  }

 #contact_en_tete {
    margin: 305px auto 50px auto;
    padding: 1px;
  }

  #contact_en_tete p {
    font-size: 1em;
    padding: 0 80px;
  }

  .card__content h3 {
    font-size: 1.5em;
  }

  .content {
    font-size: 1.05em;
  }

  .click {
    width: 30%;
  }

  #vitrine {
    width: 50%;
  }

  #ecommerce {
    width: 50%;
  }

  #ivisuel {
    width: 50%;
  }

  #eco_titre {
    font-size: 1.6em;
  }

  #eco_responsable {
    width: 250px;
  }

  #eco p {
    padding: 40px;
    font-size: 1em;
  }

  #eco {
    margin: -22px auto auto auto;
  }

  .titre_chiffre {
    font-size: 1.6em;
  }

  #valeur h3 {
    font-size: 1.6em;
  }

  .intro_valeur {
    font-size: 1.02em;
  }

  #link_dev {
    width: 95%;
  }

  #section_scrollp {
    width: min-content;
  }
}

@media all and (max-width: 420px) {
  #contact_en_tete {
    margin: 275px auto 50px auto;
  }
}

@media all and (max-width: 395px) {
  .toggle {
    font-size: 1.1rem;
  }
  
  #fond_en_tete h1 {
    font-size: 1.6em;
  }
  
  #contact_en_tete p {
    padding: 0 65px;
  }

  #digital {
    padding: 0px;
  }

  #money {
    padding: 0px 30px;
  }

  #link_dev {
    font-size: 1.3em;
  }
}

@media all and (max-width: 380px) {
  #contact_en_tete {
    margin: 250px auto 50px auto;
    padding: 3px;
  }
  
  #contact_en_tete p {
    padding: 0 50px;
  }
  
  .card__content h3 {
    font-size: 1.3em;
  }

  .cards {
    width: 320px;
  }

  #eco_titre {
    font-size: 1.5em;
  }

  .titre_chiffre {
    font-size: 1.5em;
  }

  .chiffre_digital {
    width: 250px;
  }

  #tv {
    width: 200px;
    padding: 0px;
  }

  #money {
    width: 150px;
    padding: 0px 4px;
  }

  .titre_commerce {
    font-size: 1.5em;
  }

  #valeur h3 {
    font-size: 1.5em;
  }

  #valeur_cards h3 {
    font-size: 1.7em;
  }

  .intro_valeur {
    font-size: 1em;
  }
}

@media all and (max-width: 365px) {
  #contact_en_tete {
    margin: 235px auto 50px auto;
  }

  #presta_un {
    font-size: 1.3em;
  }
  
  .sun {
    margin-right: 15px;
  }

  .titre_commerce {
    font-size: 1.4em;
  }

  #valeur_cards h4 {
    font-size: 1.5em;
  }
}

@media all and (max-width: 350px) {
  #puy {
    margin-top: 160px;
  }
  
  #contact_en_tete {
    margin: 227px auto 50px auto;
  }
    
  #contact_en_tete p {
    padding: 0 40px;
  }
  
  #link_dev {
    font-size: 1.25em;
  }

  .flip-card {
    width: 340px;
  }
}
